data:extend({
  {
    type = "solar-panel",
    name = "cp-solar-panel-m2",
    icon = "__CompactPower__/graphics/icons/solar-panel-m2.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "cp-solar-panel-m2"},
    max_health = 200,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "primary-output"
    },
    picture =
    {
    	filename = "__CompactPower__/graphics/entity/solar-panel/solar-panel-m2.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "600kW"
  },

  {
    type = "solar-panel",
    name = "cp-solar-panel-m3",
    icon = "__CompactPower__/graphics/icons/solar-panel-m3.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "cp-solar-panel-m3"},
    max_health = 300,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "primary-output"
    },
    picture =
    {
    	filename = "__CompactPower__/graphics/entity/solar-panel/solar-panel-m3.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "6000kW"
  },
  {
    type = "solar-panel",
    name = "cp-solar-panel-m4",
    icon = "__CompactPower__/graphics/icons/solar-panel-m4.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "cp-solar-panel-m4"},
    max_health = 400,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "primary-output"
    },
    picture =
    {
    	filename = "__CompactPower__/graphics/entity/solar-panel/solar-panel-m4.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "60000kW"
  },
  {
    type = "solar-panel",
    name = "cp-solar-panel-m5",
    icon = "__CompactPower__/graphics/icons/solar-panel-m5.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "cp-solar-panel-m5"},
    max_health = 500,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "primary-output"
    },
    picture =
    {
    	filename = "__CompactPower__/graphics/entity/solar-panel/solar-panel-m5.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "600000kW"
  },

})
