data:extend({
  {
    type = "technology",
    name = "cp-solar-energy-m2",
    icon = "__CompactPower__/graphics/technology/solar-energy-m2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "cp-solar-panel-m2"
      }
    },
    prerequisites = {"solar-energy"},
    unit =
    {
      count = 75,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1}
      },
      time = 80
    },
    order = "a-h-c",
  },

  {
    type = "technology",
    name = "cp-solar-energy-m3",
    icon = "__CompactPower__/graphics/technology/solar-energy-m3.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "cp-solar-panel-m3"
      }
    },
    prerequisites = {"cp-solar-energy-m2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2}
      },
      time = 90
    },
    order = "a-h-c",
  },

  {
    type = "technology",
    name = "cp-solar-energy-m4",
    icon = "__CompactPower__/graphics/technology/solar-energy-m4.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "cp-solar-panel-m4"
      }
    },
    prerequisites = {"cp-solar-energy-m3"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1}
      },
      time = 120
    },
    order = "a-h-c",
  },

  {
    type = "technology",
    name = "cp-solar-energy-m5",
    icon = "__CompactPower__/graphics/technology/solar-energy-m5.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "cp-solar-panel-m5"
      }
    },
    prerequisites = {"cp-solar-energy-m4"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 6},
        {"science-pack-2", 4},
        {"science-pack-3", 2},
        {"alien-science-pack", 1}
      },
      time = 150
    },
    order = "a-h-c",
  },
})
